ServiceAdmin (Axis API)
Keywords: org.apache.axis.management.ServiceAdmin class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.management
Class ServiceAdmin

    java.lang.Object
      org.apache.axis.management.ServiceAdmin

public class ServiceAdmin
extends java.lang.Object

The ServiceControl Object is responsible for starting and stopping specific services

Version:
  1.0
Author:
  bdillon

Constructor Summary
`ServiceAdmin()`

Method Summary
`static void` | `deployHandler(WSDDHandler handler)`
`static void` | `deployService(WSDDService service)`
`static void` | `deployTransport(WSDDTransport transport)`
`static AxisServer` | `getEngine()` Get the singleton engine for this management object
`static WSDDGlobalConfiguration` | `getGlobalConfig()`
`static WSDDHandler` | `getHandler(QName qname)`
`static WSDDHandler[]` | `getHandlers()`
`static WSDDService` | `getService(QName qname)`
`static WSDDService[]` | `getServices()`
`static WSDDTransport` | `getTransport(QName qname)`
`static WSDDTransport[]` | `getTransports()`
`static java.lang.String[]` | `listServices()` List all registered services
`static void` | `restart()`
`static void` | `saveConfiguration()`
`static void` | `setEngine(AxisServer axisSrv, java.lang.String name)` Set the singleton engine
`static void` | `setGlobalConfig(WSDDGlobalConfiguration globalConfig)`
`static void` | `start()`
`static void` | `startService(java.lang.String serviceName)` Start the Service
`static void` | `stop()`
`static void` | `stopService(java.lang.String serviceName)` Stop the Service
`static void` | `undeployHandler(QName qname)`
`static void` | `undeployService(QName qname)`
`static void` | `undeployTransport(QName qname)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceAdmin

    public ServiceAdmin()

Method Detail

### startService

    public static void startService(java.lang.String serviceName)
                             throws AxisFault,
                                    ConfigurationException

  Start the Service

  Parameters:
    `serviceName` -
  Throws:
    `AxisFault` - ConfigurationException
    `ConfigurationException`

### stopService

    public static void stopService(java.lang.String serviceName)
                            throws AxisFault,
                                   ConfigurationException

  Stop the Service

  Parameters:
    `serviceName` -
  Throws:
    `AxisFault` - ConfigurationException
    `ConfigurationException`

### listServices

    public static java.lang.String[] listServices()
                                           throws AxisFault,
                                                  ConfigurationException

  List all registered services

  Returns:
    Map of Services (SOAPService objects, Key is the ServiceName)
  Throws:
    `AxisFault` - ConfigurationException
    `ConfigurationException`

### getEngine

    public static AxisServer getEngine()
                                throws AxisFault

  Get the singleton engine for this management object

  Returns:
  Throws:
    `AxisFault`

### setEngine

    public static void setEngine(AxisServer axisSrv,
                                 java.lang.String name)

  Set the singleton engine

  Parameters:
    `axisSrv` -

### start

    public static void start()

### stop

    public static void stop()

### restart

    public static void restart()

### saveConfiguration

    public static void saveConfiguration()

### setGlobalConfig

    public static void setGlobalConfig(WSDDGlobalConfiguration globalConfig)

### getGlobalConfig

    public static WSDDGlobalConfiguration getGlobalConfig()

### getHandler

    public static WSDDHandler getHandler(QName qname)

### getHandlers

    public static WSDDHandler[] getHandlers()

### getService

    public static WSDDService getService(QName qname)

### getServices

    public static WSDDService[] getServices()

### getTransport

    public static WSDDTransport getTransport(QName qname)

### getTransports

    public static WSDDTransport[] getTransports()

### deployHandler

    public static void deployHandler(WSDDHandler handler)

### deployService

    public static void deployService(WSDDService service)

### deployTransport

    public static void deployTransport(WSDDTransport transport)

### undeployHandler

    public static void undeployHandler(QName qname)

### undeployService

    public static void undeployService(QName qname)

### undeployTransport

    public static void undeployTransport(QName qname)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.